Qt 5.7 | Qt 3D | C++ Classes | QRenderAspect

Qt 5.7.1 Reference Documentation

# QRenderAspect Class

(Qt3DRender::QRenderAspect)

The QRenderAspect class More...

Header: | #include <QRenderAspect>
qmake: | QT += 3drender
Since: | Qt 5.7
Inherits: | Qt3DCore::QAbstractAspect

- List of all members, including inherited members

## Public Types

enum | RenderType { Synchronous, Threaded }

## Public Functions

| QRenderAspect(QObject *parent = nullptr)
| QRenderAspect(RenderType type, QObject *parent = nullptr)

### Additional Inherited Members

- 3 protected functions inherited from Qt3DCore::QAbstractAspect

## Detailed Description

The QRenderAspect class

## Member Type Documentation

### enum QRenderAspect::RenderType

## Member Function Documentation

### QRenderAspect::QRenderAspect(QObject *parent = nullptr)

The constructor creates a new QRenderAspect::QRenderAspect instance with the specified parent. parent

### QRenderAspect::QRenderAspect(RenderType type, QObject *parent = nullptr)

The constructor creates a new QRenderAspect::QRenderAspect instance with the specified type and parent. type parent